import { v4 as uuidv4 } from "uuid"
import type { Simulation } from "./debutant"

const personnaliseSimulations: Simulation[] = [
  {
    id: uuidv4(),
    title: "Simulation personnalisée",
    description: "Créez votre propre simulation en fonction de vos besoins",
    duration: 30,
    questions: [
      {
        id: uuidv4(),
        question: "Quelle est la vitesse maximale autorisée sur autoroute par temps de pluie ?",
        options: ["90 km/h", "110 km/h", "130 km/h", "Pas de limitation spécifique"],
        correctAnswer: "110 km/h",
        explanation:
          "Sur autoroute, la vitesse maximale autorisée est réduite à 110 km/h par temps de pluie, au lieu de 130 km/h par temps sec.",
      },
      {
        id: uuidv4(),
        question: "Quelle est la règle concernant l'utilisation des clignotants lors d'un changement de direction ?",
        options: [
          "Facultative si aucun véhicule n'est présent",
          "Obligatoire uniquement en agglomération",
          "Obligatoire dans tous les cas",
          "Obligatoire uniquement sur autoroute",
        ],
        correctAnswer: "Obligatoire dans tous les cas",
        explanation:
          "L'utilisation des clignotants est obligatoire pour signaler tout changement de direction ou de voie, même si aucun autre véhicule n'est présent.",
      },
      {
        id: uuidv4(),
        question: "Quelle est la règle concernant le port du casque pour les cyclistes ?",
        options: [
          "Obligatoire pour tous",
          "Obligatoire pour les enfants de moins de 12 ans",
          "Facultatif mais recommandé",
          "Obligatoire hors agglomération uniquement",
        ],
        correctAnswer: "Obligatoire pour les enfants de moins de 12 ans",
        explanation:
          "Le port du casque est obligatoire uniquement pour les enfants de moins de 12 ans, qu'ils soient conducteurs ou passagers. Il reste fortement recommandé pour tous les cyclistes.",
      },
      {
        id: uuidv4(),
        question: "Quelle est la règle concernant l'utilisation du téléphone au volant avec une oreillette ?",
        options: ["Autorisée", "Interdite", "Autorisée sur autoroute uniquement", "Autorisée à l'arrêt moteur allumé"],
        correctAnswer: "Interdite",
        explanation:
          "L'utilisation du téléphone avec une oreillette est également interdite au volant. Seuls les dispositifs intégrés au véhicule (Bluetooth) sont tolérés, mais leur usage reste déconseillé car il diminue l'attention.",
      },
      {
        id: uuidv4(),
        question:
          "Quelle est la règle concernant le stationnement sur une place équipée d'une borne de recharge pour véhicules électriques ?",
        options: [
          "Autorisé pour tous les véhicules",
          "Autorisé uniquement pour les véhicules électriques en charge",
          "Autorisé pour les véhicules électriques même sans charger",
          "Autorisé la nuit uniquement",
        ],
        correctAnswer: "Autorisé uniquement pour les véhicules électriques en charge",
        explanation:
          "Le stationnement sur une place équipée d'une borne de recharge est réservé aux véhicules électriques en cours de rechargement. Un véhicule électrique qui ne charge pas n'a pas le droit d'y stationner.",
      },
    ],
  },
]

export default personnaliseSimulations
